Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Development

New Contributor
Posts: 9
Registered: ‎07-31-2013
My Device: developer
My Carrier: none

Verify error for baiu map



When I use BB verify tool to verify my .apk which works well under Android, it got the error below:

(<unknown source>) class: com.baidu.vi.AudioRecorder uses NATIVE access; impact=5.


As this class is provided by Baidumap SDK, I can do nothing for this SDK.


How can I resolve it?


many thanks



BlackBerry Development Advisor
Posts: 102
Registered: ‎11-21-2008
My Device: Z10
My Carrier: Bell

Re: Verify error for baiu map

Hi Sam,


Thanks for stopping by the forums.


In lieu of the BlackBerry Native SDK, support for Native (JNI) code is not available within the BlackBerry Runtime for Android apps as documented below.


Unsupported APIs for BlackBerry 10 - Software Features



Seeing as though this third-party library appears to utilize JNI, it would not be supported at this time.

James Dreher
BlackBerry Development Advisor